class RcmsFeedbackGenerator < Rails::Generators::Base
  source_root File.expand_path("../templates_feedback", __FILE__)

  def create_all_files
    %w(feedbacks_controller.rb).each do |name|
      copy_file "app/controllers/rcms/#{name}"
    end

    %w(feedback_mailer.rb).each do |name|
      copy_file "app/mailers/#{name}"
    end

    %w(feedback.rb).each do |name|
      copy_file "app/models/rcms/#{name}"
    end

    %w(feedback.html.slim plain.html.slim _form.html.slim).each do |name|
      copy_file "app/views/feedback_mailer/#{name}"
    end
  end

  def patch_routes
    insert_into_file "config/routes.rb", "  post 'rcms/feedbacks' => 'rcms/feedbacks#create', as: :rcms_feedbacks\n", :after => "Rails.application.routes.draw do\n"
  end
end