class RcmsGenerator < Rails::Generators::Base
  include Rails::Generators::Migration
  source_root File.expand_path("../templates", __FILE__)

  def self.next_migration_number(dirname)
    Time.now.strftime("%Y%m%d%H%M%S")
  end

  def create_cmshelper_migration
    migration_template "migration.rb", File.join('db/migrate', "create_rcms_tables.rb")
  end

  def create_model_files
    %w(meta_page.rb meta_tag.rb page.rb partial.rb).each do |name|
      copy_file "app/models/rcms/#{name}"
    end
  end

  def create_admin_files
    %w(meta_page.rb page.rb partial.rb).each do |name|
      copy_file "app/admin/rcms/#{name}"
    end
  end

  def create_controllers
    %w(pages_controller.rb).each do |name|
      copy_file "app/controllers/rcms/#{name}"
    end
  end

  def create_pages_views
    %w(show.html.slim).each do |name|
      copy_file "app/views/rcms/pages/#{name}"
    end
  end

  def patch_controller
    insert_into_file "config/routes.rb", "  get 'page-:slug' => 'rcms/pages#show', as: :rcms_page\n", :after => "Rails.application.routes.draw do\n"
    insert_into_file "app/controllers/application_controller.rb", "  include Rcms::ApplicationController\n", :after => "class ApplicationController < ActionController::Base\n"
  end
end