class RcmsMentionsGenerator < Rails::Generators::Base
  source_root File.expand_path("../templates_mentions", __FILE__)
  include Rails::Generators::Migration

  def self.next_migration_number(dirname)
    Time.now.strftime("%Y%m%d%H%M%S")
  end

  def create_cmshelper_migration
    migration_template "migration.rb", File.join('db/migrate', "create_rcms_mentions_tables.rb")
  end

  def create_all_files
    Rails.cache.clear

    %w(mention.rb).each do |name|
      copy_file "app/admin/rcms/#{name}"
    end

    %w(mentions_controller.rb).each do |name|
      copy_file "app/controllers/rcms/#{name}"
    end

    %w(mention.rb).each do |name|
      copy_file "app/models/rcms/#{name}"
    end

    %w(_dialog.html.slim _preview.html.slim).each do |name|
      copy_file "app/views/rcms/mentions/#{name}"
    end
  end

  def patch_routes
    insert_into_file "config/routes.rb",
                     "  get 'mentions' => 'rcms/mentions#index', as: :rcms_mentions\n  post 'mentions' => 'rcms/mentions#create'\n",
                     :after => "Rails.application.routes.draw do\n"
  end
end