class RcmsTidingsGenerator < Rails::Generators::Base
  source_root File.expand_path("../templates_tidings", __FILE__)
  include Rails::Generators::Migration

  def self.next_migration_number(dirname)
    Time.now.strftime("%Y%m%d%H%M%S")
  end

  def create_cmshelper_migration
    migration_template "migration.rb", File.join('db/migrate', "create_rcms_tidings_tables.rb")
  end

  def create_all_files
    Rails.cache.clear

    %w(tiding.rb).each do |name|
      copy_file "app/admin/rcms/#{name}"
    end

    %w(tidings_controller.rb).each do |name|
      copy_file "app/controllers/rcms/#{name}"
    end

    %w(tiding.rb).each do |name|
      copy_file "app/models/rcms/#{name}"
    end

    %w(tiding_image_uploader.rb).each do |name|
      copy_file "app/uploaders/rcms/#{name}"
    end

    %w(_preview.html.slim index.html.slim show.html.slim).each do |name|
      copy_file "app/views/rcms/tidings/#{name}"
    end
  end

  def patch_routes
    insert_into_file "config/routes.rb", "  get 'news' => 'rcms/tidings#index', as: :rcms_tidings\n  get 'news-:slug' => 'rcms/tidings#show', as: :rcms_tiding\n", :after => "Rails.application.routes.draw do\n"
  end
end