ActiveAdmin.register Rcms::Page do
  # include AdminRedirects

  permit_params :slug, :title, :text

  form do |f|
    f.inputs do
      f.input :title
      f.input :slug, hint: f.object.persisted? ? (t("activerecord.attributes.rcms/page.slug_hint", path: rcms_page_path(f.object))) : nil
      f.inputs t("activerecord.attributes.rcms/page.text") do
        f.cktext_area :text
      end
    end
    f.actions
  end

  index do
    selectable_column
    column :id
    column :slug
    column :title
    column :updated_at
    actions
  end

  filter :slug
  filter :title
end
