class Rcms::MetaPage < ActiveRecord::Base
  self.table_name = 'rcms_meta_pages'

  has_many :meta_tags, as: :target, :dependent => :destroy, class_name: Rcms::MetaTag
  accepts_nested_attributes_for :meta_tags

  after_initialize :create_meta_tags

  protected

  def create_meta_tags
    if !persisted? && self.meta_tags.empty?
      self.meta_tags.new(key: :title)
      self.meta_tags.new(key: :description)
      self.meta_tags.new(key: :keywords)
    end
  end
end
