class Rcms::Page < ActiveRecord::Base
  self.table_name = 'rcms_pages'
  extend FriendlyId
  friendly_id :title, use: [:slugged, :finders]

  # if you want extended SEO manipulations
  # has_many :meta_tags, as: :target, class_name: Rcms::MetaTag
  # accepts_nested_attributes_for :meta_tags, reject_if: :all_blank, allow_destroy: true
  # after_initialize :init_default_meta_tags

  validates :title, presence: true

  scope :frontend, ->{ where( is_active: true ) }

  def self.find_or_init slug_or_id
    page =  Rcms::Page.find_by(slug: slug_or_id)
    page = new title: "#{slug_or_id}", text: "<a href=\"/admin/rcms/pages/new?slug=#{slug_or_id}\">Создайте страницу</a>" unless page
    page
  end

  protected
  # def init_default_meta_tags
  #   if !persisted? && self.meta_tags.empty?
  #     self.meta_tags.new(key: :title)
  #     self.meta_tags.new(key: :description)
  #     self.meta_tags.new(key: :keywords)
  #   end
  # end

  def should_generate_new_friendly_id?
    !slug.present?
  end
end
