class CreateRcmsTables < ActiveRecord::Migration
  def self.up
    create_table :rcms_partials do |t|
      t.string :placement
      t.string :description
      t.text :text

      t.timestamps
    end
    add_index :rcms_partials, :placement, unique: true

    create_table :rcms_meta_tags do |t|
      t.string :key
      t.text :text
      t.string :value
      t.references :target, polymorphic: true

      t.timestamps
    end

    create_table :rcms_meta_pages do |t|
      t.string :path

      t.timestamps
    end
    add_index :rcms_meta_pages, :path, unique: true

    create_table :rcms_pages do |t|
      t.string :slug
      t.string :title
      t.text :text
      t.boolean :is_active

      t.timestamps
    end
    add_index :rcms_pages, :slug, unique: true

  end

  def self.down
    drop_table :rcms_partials
    drop_table :rcms_meta_tags
    drop_table :rcms_meta_pages
    drop_table :rcms_pages
  end
end
