class Rcms::Feedback
  include ActiveModel::Validations
  include ActiveModel::Conversion
  extend ActiveModel::Naming

  attr_accessor :username
  attr_accessor :feedback_type
  attr_accessor :phone
  attr_accessor :text
  attr_accessor :email

  validates_presence_of :phone

  def subject
    I18n.t('rcms.feedback.subject', contact: (phone||email))
  end

  def initialize(attributes = {})
    attributes.each do |name, value|
      send("#{name}=", value)
    end
  end

  def persisted?
    false
  end
end

