class Rcms::MentionsController < ApplicationController
  def index
    @news = Rcms::News.all.page(params[:page]).per(10)
    apply_meta_tags title: t('rcms.mentions.index_title')
  end

  def create
    @mention = Rcms::Mention.new mention_params

    @mention.is_published = true
    if @mention.save
      redirect_to after_create_path(@mention), flash: {success: t('rcms.mentions.created')}
    else
      render :create
    end
  end

  def after_create_path mention
    root_path
  end

  protected
  def mention_params
    params.require(:rcms_mention).permit(:username, :email, :text)
  end
end