class Rcms::Mention < ActiveRecord::Base
  self.table_name = 'rcms_mentions'

  scope :frontend, -> {where(is_published: true).order('id desc')}
  scope :preview, -> {frontend.limit(4)}

  validates_presence_of :username, :text

  def get_short_desc l = 110
    truncate(text, l)
  end

  def truncate text, l = 110
    return nil if text.nil?
    text = ActionView::Base.full_sanitizer.sanitize(text)
    text.length > l ? text.truncate(l) : text
  end
end

