ActiveAdmin.register Rcms::Tiding do
  # include AdminRedirects

  permit_params :slug, :title, :text, :image, :image_cache, :remote_image_url, :is_published, :description

  form do |f|
    f.inputs do
      f.input :title

      f.input :remote_image_url, as: :string, hint: t("activerecord.attributes.rcms/tiding.remote_image_url_hint")
      f.input :image, as: :file, :hint => f.object.image.default? ? '' : "<img src='#{f.object.image.url(:list)}' />".html_safe

      f.input :image_cache, as: :hidden
      f.input :is_published

      f.input :slug, hint: f.object.persisted? ? (t("activerecord.attributes.rcms/tiding.slug_hint", path: rcms_tiding_path(f.object))) : nil
      f.input :description, hint: t("activerecord.attributes.rcms/tiding.description_hint")
      f.inputs t("activerecord.attributes.rcms/tiding.text") do
        f.cktext_area :text
      end
    end
    f.actions
  end

  index do
    selectable_column
    column :id
    column :image do |object|
      "<img src='#{object.image.url(:list)}' height='40' />".html_safe
    end
    column :slug
    column :title
    column :updated_at
    actions
  end

  filter :slug
  filter :title
end
