# encoding: utf-8

class Rcms::TidingImageUploader < CarrierWave::Uploader::Base

  # Include RMagick or MiniMagick support:
  include CarrierWave::RMagick
  # include CarrierWave::MiniMagick

  # Choose what kind of storage to use for this uploader:
  storage :file
  # storage :fog

  def store_dir
    "uploads/#{model.class.to_s.underscore}/#{mounted_as}/#{model.id}"
  end

  def default_url
    # For Rails 3.1+ asset pipeline compatibility:
    # ActionController::Base.helpers.asset_path("images/#{fallback_dir}/" + [version_name, "default.png"].compact.join('_'))
    ActionController::Base.helpers.asset_path("default.jpg")
  end

  def set_filename(name)
    @filename = name
  end

  def extension_white_list
    %w(jpg jpeg png bmp)
  end

  def default?
    url == default_url
  end

  version :list do
    process :resize_to_limit => [100, 100]
  end

  version :show do
    process :resize_to_limit => [200, 200]
  end

  protected

  def fallback_dir
    model.class.to_s.underscore
  end
end
